We are Students Against the Death Penalty – Join us!
Students Against the Death Penalty (SADP) works to end the death penalty through campaigns of public education and the promotion of youth activism. Join our page on Facebook! Students Against the Death Penalty (SADP) is an all-volunteer, grassroots organization formed in 2006 with the primary goal of mobilizing national support for abolition of the death…read more